Skip to main content
PUT
/
api
/
v1
/
notebooks
/
{id}
Update a notebook.
curl --request PUT \
  --url https://api.backside.app/api/v1/notebooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "color": "<string>",
  "description": "<string>",
  "is_default": true,
  "name": "<string>",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "position": 123
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_default": true,
  "metadata": "<unknown>",
  "name": "<string>",
  "position": 123,
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "color": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Notebook ID

Body

application/json
color
string | null
description
string | null
is_default
boolean | null
name
string | null
parent_id
string<uuid> | null
position
integer<int32> | null

Response

created_at
string<date-time>
required
id
string<uuid>
required
is_default
boolean
required
metadata
any
required
name
string
required
position
integer<int32>
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required
color
string | null
deleted_at
string<date-time> | null
description
string | null
parent_id
string<uuid> | null